Skip to main content
PUT
Update agent wrap up configuration

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

agentId
string
required

Agent ID used to update the configuration.

Query Parameters

wrapUpSeconds
integer<int32>

Wrap up duration in seconds for agent. Setting null will default to account wrap up duration. Send this parameter in request body instead.More info.

Required range: x >= 0

Body

application/json
wrapUpSeconds
integer<int32> | null

Wrap up length in seconds specific to the agent. Null if not set, in which case account wrap up time should be used. More info.

Response

OK

backgroundBlurSettings
BackgroundBlurSettingsApiModel · object

Configuration for the background display while the agent is on a call. More info.

wrapUpSeconds
integer<int32>

Wrap up length in seconds specific to the agent. Null if not set, in which case account wrap up time should be used. More info.